| Kea 3.0.2-git

io_socket.h File Reference
`#include <unistd.h>`
`#include <functional>`
`#include <string>`
`#include <boost/asio/socket_base.hpp>`
`#include <exceptions/exceptions.h>`
Include dependency graph for io_socket.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::asiolink::IOSocket
| The `IOSocket` class is an abstract base class to represent various types of network sockets. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiolink